services:
  watcher:
    image: git.triggermeelmo.com/daniel-hbn/watcher/watcher:development
    container_name: watcher
    restart: unless-stopped
    env_file: .env
    ports:
      - "5000:80"
    volumes:
      - ./data:/app/persistence
      - ./dumps:/app/wwwroot/downloads/sqlite 
      - ./logs:/app/logs
    healthcheck:
      test: "curl -f http://localhost:80"
      interval: 1m30s
      timeout: 30s
      retries: 5
      start_period: 30s